API ReferenceGift cards
List gift cards
Authorization
ApiKeyAuth AuthorizationBearer <token>
Send your API key as a bearer token: Authorization: Bearer bp_sk_live_.... Mint and revoke keys in your dashboard under Settings -> Developers.
In: header
Query Parameters
location_id?string
Restrict to a single location. Must be one the key can access.
Format
uuidlimit?integer
Range
1 <= value <= 100Default
25cursor?string
The next_cursor from a previous page.
Response Body
application/json
application/json
curl -X GET "https://example.com/gift-cards"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "location_id": "46910cc3-ab41-4b80-b4a7-94dab9f1b795", "code": "string", "initial_balance_cents": 0, "current_balance_cents": 0, "status": "active", "created_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string"}